Przeglądaj źródła

merged from lp:~donkult/apt/sid

Michael Vogt 15 lat temu
rodzic
commit
4279ef3b0a

+ 7 - 0
apt-pkg/algorithms.cc

@@ -374,6 +374,13 @@ bool pkgDistUpgrade(pkgDepCache &Cache)
 {
 {
    pkgDepCache::ActionGroup group(Cache);
    pkgDepCache::ActionGroup group(Cache);
 
 
+   /* Upgrade all installed packages first without autoinst to help the resolver
+      in versioned or-groups to upgrade the old solver instead of installing
+      a new one (if the old solver is not the first one [anymore]) */
+   for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; ++I)
+      if (I->CurrentVer != 0)
+	 Cache.MarkInstall(I, false, 0, false);
+
    /* Auto upgrade all installed packages, this provides the basis 
    /* Auto upgrade all installed packages, this provides the basis 
       for the installation */
       for the installation */
    for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; I++)
    for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; I++)

+ 11 - 3
debian/changelog

@@ -1,4 +1,7 @@
-apt (0.8.10) UNRELEASED; urgency=low
+apt (0.8.10) unstable; urgency=low
+
+  [ Programs translations ]
+  * Czech by Miroslav Kure. Closes: #605107
 
 
   [ Martin Pitt ]
   [ Martin Pitt ]
   * test/integration/test-compressed-indexes, test/test-indexes.sh:
   * test/integration/test-compressed-indexes, test/test-indexes.sh:
@@ -6,7 +9,13 @@ apt (0.8.10) UNRELEASED; urgency=low
       will actually test uncompressed indexes regardless of the internal
       will actually test uncompressed indexes regardless of the internal
       default value of Acquire::GzipIndexes.
       default value of Acquire::GzipIndexes.
 
 
- -- Michael Vogt <mvo@debian.org>  Thu, 25 Nov 2010 16:08:01 +0100
+  [ David Kalnischkies ]
+  * apt-pkg/algorithms.cc:
+    - mark all installed packages first without auto installation in
+      a dist-upgrade to prefer upgrading packages instead of installing
+      new packages in versioned or-groups (Closes: #605394)
+
+ -- Michael Vogt <mvo@debian.org>  Tue, 30 Nov 2010 10:42:17 +0100
 
 
 apt (0.8.9) unstable; urgency=low
 apt (0.8.9) unstable; urgency=low
 
 
@@ -18,7 +27,6 @@ apt (0.8.9) unstable; urgency=low
   [ Programs translations ]
   [ Programs translations ]
   * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
   * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
   * German update by Holger Wansing. Closes: #603619
   * German update by Holger Wansing. Closes: #603619
-  * Czech by Miroslav Kure. Closes: #605107
 
 
   [ David Kalnischkies ]
   [ David Kalnischkies ]
   * apt-pkg/aptconfiguration.cc:
   * apt-pkg/aptconfiguration.cc:

+ 9 - 26
doc/po/apt-doc.pot

@@ -7,7 +7,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-10-14 00:03+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -74,57 +74,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -132,13 +115,13 @@ msgid ""
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 
 

+ 18 - 26
doc/po/de.po

@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt-doc 0.7.25.3\n"
 "Project-Id-Version: apt-doc 0.7.25.3\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-09-16 19:04+0100\n"
 "PO-Revision-Date: 2010-09-16 19:04+0100\n"
 "Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
 "Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -78,28 +78,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPTIONEN"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Keine"
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "DATEIEN"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "SIEHE AUCH"
 msgstr "SIEHE AUCH"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -108,29 +91,29 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSE"
 msgstr "DIAGNOSE"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "apt gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern."
 msgstr "apt gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "FEHLER"
 msgstr "FEHLER"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Diese Handbuchseite wurde noch nicht mal begonnen."
 msgstr "Diese Handbuchseite wurde noch nicht mal begonnen."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -141,13 +124,13 @@ msgstr ""
 "reporting.txt> oder den Befehl B<reportbug>(1) an."
 "reporting.txt> oder den Befehl B<reportbug>(1) an."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt wurde vom APT-Team E<lt>apt@packages.debian.orgE<gt> geschrieben."
 msgstr "apt wurde vom APT-Team E<lt>apt@packages.debian.orgE<gt> geschrieben."
 
 
@@ -10992,6 +10975,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/Platte/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Es wird die bereits auf die Platte heruntergeladenen Archive benutzen."
 msgstr "Es wird die bereits auf die Platte heruntergeladenen Archive benutzen."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPTIONEN"
+
+#~ msgid "None."
+#~ msgstr "Keine"
+
+#~ msgid "FILES"
+#~ msgstr "DATEIEN"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 18 - 26
doc/po/es.po

@@ -36,7 +36,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25\n"
 "Project-Id-Version: apt 0.7.25\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-08-25 03:25+0200\n"
 "PO-Revision-Date: 2010-08-25 03:25+0200\n"
 "Last-Translator: Omar Campagne <ocampagne@gmail.com>\n"
 "Last-Translator: Omar Campagne <ocampagne@gmail.com>\n"
 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
@@ -109,28 +109,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPCIONES"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Ninguna."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHEROS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VÉASE TAMBIÉN"
 msgstr "VÉASE TAMBIÉN"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -139,30 +122,30 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNÓSTICOS"
 msgstr "DIAGNÓSTICOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt devuelve cero si no hay ningún error, y el valor 100 en caso de error."
 "apt devuelve cero si no hay ningún error, y el valor 100 en caso de error."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "FALLOS"
 msgstr "FALLOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Esta página de manual ni siquiera está iniciada."
 msgstr "Esta página de manual ni siquiera está iniciada."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -173,13 +156,13 @@ msgstr ""
 "o use la orden B<reportbug>(1)."
 "o use la orden B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "El equipo APT E<lt>apt@packages.debian.orgE<gt> escribió apt."
 msgstr "El equipo APT E<lt>apt@packages.debian.orgE<gt> escribió apt."
 
 
@@ -10940,6 +10923,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Ésto usará los archivos del disco previamente obtenidos."
 msgstr "Ésto usará los archivos del disco previamente obtenidos."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPCIONES"
+
+#~ msgid "None."
+#~ msgstr "Ninguna."
+
+#~ msgid "FILES"
+#~ msgstr "FICHEROS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 20 - 28
doc/po/fr.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: \n"
 "Project-Id-Version: \n"
-"POT-Creation-Date: 2010-08-23 18:46-0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-10-30 09:41+0200\n"
 "PO-Revision-Date: 2010-10-30 09:41+0200\n"
 "Last-Translator: Christian Perrier <bubulle@debian.org>\n"
 "Last-Translator: Christian Perrier <bubulle@debian.org>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
@@ -82,28 +82,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPTIONS"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Aucune."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHIERS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VOIR AUSSI"
 msgstr "VOIR AUSSI"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -112,31 +95,31 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSTICS"
 msgstr "DIAGNOSTICS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt renvoie zéro après une opération normale et la valeur décimale 100 en "
 "apt renvoie zéro après une opération normale et la valeur décimale 100 en "
 "cas d'erreur."
 "cas d'erreur."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BOGUES"
 msgstr "BOGUES"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Cette page de manuel n'a même pas commencé à être rédigée."
 msgstr "Cette page de manuel n'a même pas commencé à être rédigée."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -147,13 +130,13 @@ msgstr ""
 "ou utiliser la commande B<reportbug>(1)."
 "ou utiliser la commande B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTEURS"
 msgstr "AUTEURS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt a été écrit par l'équipe de développement APT E<lt>apt@packages.debian."
 "apt a été écrit par l'équipe de développement APT E<lt>apt@packages.debian."
@@ -7652,8 +7635,8 @@ msgid ""
 msgstr ""
 msgstr ""
 "Le fichier d'APT, <filename>/etc/apt/preferences</filename> et les fichiers "
 "Le fichier d'APT, <filename>/etc/apt/preferences</filename> et les fichiers "
 "fragments situés dans le dossier <filename>/etc/apt/preferences.d/</"
 "fragments situés dans le dossier <filename>/etc/apt/preferences.d/</"
-"filename>, peuvent être utilisés pour choisir la version des paquets que l'on "
-"veut installer."
+"filename>, peuvent être utilisés pour choisir la version des paquets que "
+"l'on veut installer."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt_preferences.5.xml:42
 #: apt_preferences.5.xml:42
@@ -10953,6 +10936,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Cette commande utilisera les fichiers récupérés sur le disque."
 msgstr "Cette commande utilisera les fichiers récupérés sur le disque."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPTIONS"
+
+#~ msgid "None."
+#~ msgstr "Aucune."
+
+#~ msgid "FILES"
+#~ msgstr "FICHIERS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 9 - 26
doc/po/it.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: \n"
 "Project-Id-Version: \n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2003-04-26 23:26+0100\n"
 "PO-Revision-Date: 2003-04-26 23:26+0100\n"
 "Last-Translator: Traduzione di Eugenia Franzoni <eugenia@linuxcare.com>\n"
 "Last-Translator: Traduzione di Eugenia Franzoni <eugenia@linuxcare.com>\n"
 "Language-Team: <debian-l10n-italian@lists.debian.org>\n"
 "Language-Team: <debian-l10n-italian@lists.debian.org>\n"
@@ -76,57 +76,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -134,13 +117,13 @@ msgid ""
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 
 

+ 21 - 29
doc/po/ja.po

@@ -7,7 +7,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25.3\n"
 "Project-Id-Version: apt 0.7.25.3\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-09-07 07:38+0900\n"
 "PO-Revision-Date: 2010-09-07 07:38+0900\n"
 "Last-Translator: KURASAWA Nozomu <nabetaro@caldron.jp>\n"
 "Last-Translator: KURASAWA Nozomu <nabetaro@caldron.jp>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
@@ -86,32 +86,12 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "オプション"
-
-# type: Plain text
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "なし。"
-
-# type: SH
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "ファイル"
-
-# type: SH
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "関連項目"
 msgstr "関連項目"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -121,33 +101,33 @@ msgstr ""
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "診断メッセージ"
 msgstr "診断メッセージ"
 
 
 # type: Content of: <refentry><refsect1><para>
 # type: Content of: <refentry><refsect1><para>
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "apt は正常終了時に 0 を返します。エラー時には十進の 100 を返します。"
 msgstr "apt は正常終了時に 0 を返します。エラー時には十進の 100 を返します。"
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "バグ"
 msgstr "バグ"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "このマニュアルページは、始まってさえいません。"
 msgstr "このマニュアルページは、始まってさえいません。"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -159,14 +139,14 @@ msgstr ""
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "著者"
 msgstr "著者"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt は APT チーム E<lt>apt@packages.debian.orgE<gt> によって書かれました。"
 "apt は APT チーム E<lt>apt@packages.debian.orgE<gt> によって書かれました。"
@@ -10654,5 +10634,17 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "これで、disc にある取得済みのアーカイブを使用するようになります。"
 msgstr "これで、disc にある取得済みのアーカイブを使用するようになります。"
 
 
+# type: SH
+#~ msgid "OPTIONS"
+#~ msgstr "オプション"
+
+# type: Plain text
+#~ msgid "None."
+#~ msgstr "なし。"
+
+# type: SH
+#~ msgid "FILES"
+#~ msgstr "ファイル"
+
 #~ msgid "<!ENTITY translation-title \"TRANSLATION\">"
 #~ msgid "<!ENTITY translation-title \"TRANSLATION\">"
 #~ msgstr "<!ENTITY translation-title \"訳者\">"
 #~ msgstr "<!ENTITY translation-title \"訳者\">"

+ 19 - 27
doc/po/pl.po

@@ -10,7 +10,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25.3\n"
 "Project-Id-Version: apt 0.7.25.3\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-03-18 22:00+0100\n"
 "PO-Revision-Date: 2010-03-18 22:00+0100\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Language-Team: <debian-l10n-polish@lists.debian.org>\n"
 "Language-Team: <debian-l10n-polish@lists.debian.org>\n"
@@ -83,30 +83,12 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPCJE"
-
-#
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Brak."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "PLIKI"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "ZOBACZ TAKŻE"
 msgstr "ZOBACZ TAKŻE"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -115,34 +97,34 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSTYKA"
 msgstr "DIAGNOSTYKA"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt zwraca zero, jeżeli zakończyło się pomyślnie, 100 dziesiętnie w "
 "apt zwraca zero, jeżeli zakończyło się pomyślnie, 100 dziesiętnie w "
 "przypadku błędu."
 "przypadku błędu."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BŁĘDY"
 msgstr "BŁĘDY"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Ta strona podręcznika nie jest nawet zaczęta."
 msgstr "Ta strona podręcznika nie jest nawet zaczęta."
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -153,14 +135,14 @@ msgstr ""
 "lub użyj polecenia B<reportbug>(1)."
 "lub użyj polecenia B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt zostało napisane przez zespół APT E<lt>apt@packages.debian.orgE<gt>."
 "apt zostało napisane przez zespół APT E<lt>apt@packages.debian.orgE<gt>."
@@ -9990,6 +9972,16 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Które użyje pobranych uprzednio archiwów z dysku."
 msgstr "Które użyje pobranych uprzednio archiwów z dysku."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPCJE"
+
+#
+#~ msgid "None."
+#~ msgstr "Brak."
+
+#~ msgid "FILES"
+#~ msgstr "PLIKI"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 18 - 26
doc/po/pt.po

@@ -6,7 +6,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.8.0~pre1\n"
 "Project-Id-Version: apt 0.8.0~pre1\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-08-25 23:07+0100\n"
 "PO-Revision-Date: 2010-08-25 23:07+0100\n"
 "Last-Translator: Américo Monteiro <a_monteiro@netcabo.pt>\n"
 "Last-Translator: Américo Monteiro <a_monteiro@netcabo.pt>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
@@ -80,28 +80,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPÇÕES"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Nenhum."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHEIROS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VEJA TAMBÉM"
 msgstr "VEJA TAMBÉM"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -110,29 +93,29 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNÓSTICOS"
 msgstr "DIAGNÓSTICOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "o apt devolve zero na operação normal, 100 decimal em erro."
 msgstr "o apt devolve zero na operação normal, 100 decimal em erro."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BUGS"
 msgstr "BUGS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Este manual ainda nem começou."
 msgstr "Este manual ainda nem começou."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -143,13 +126,13 @@ msgstr ""
 "comando B<reportbug>(1) ."
 "comando B<reportbug>(1) ."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt foi escrito pelo APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt foi escrito pelo APT team E<lt>apt@packages.debian.orgE<gt>."
 
 
@@ -10823,6 +10806,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "O qual irá usar os arquivos já obtidos e que estão no disco."
 msgstr "O qual irá usar os arquivos já obtidos e que estão no disco."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPÇÕES"
+
+#~ msgid "None."
+#~ msgstr "Nenhum."
+
+#~ msgid "FILES"
+#~ msgstr "FICHEIROS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 9 - 26
doc/po/pt_BR.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt\n"
 "Project-Id-Version: apt\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Language-Team: <debian-l10n-portuguese@lists.debian.org>\n"
 "Language-Team: <debian-l10n-portuguese@lists.debian.org>\n"
@@ -76,57 +76,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 #, fuzzy
 #, fuzzy
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
@@ -144,13 +127,13 @@ msgstr ""
 " </RefSect1>\n"
 " </RefSect1>\n"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 #, fuzzy
 #, fuzzy
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""

+ 71 - 0
test/integration/Packages-bug-605394-versioned-or-groups

@@ -0,0 +1,71 @@
+Package: apache2-mpm-prefork
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Filename: pool/main/a/apache2/apache2-mpm-prefork_2.2.16-4_i386.deb
+Size: 2276
+MD5Sum: c0db3e637052e59dbdb2fa08f4cdcea4
+Description: Apache HTTP Server - traditional non-threaded model
+Task: web-server
+
+Package: apache2-mpm-worker
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Filename: pool/main/a/apache2/apache2-mpm-worker_2.2.16-4_i386.deb
+Size: 2220
+MD5Sum: 71bccda875aa0afac700410b951370ba
+Description: Apache HTTP Server - high speed threaded model
+
+Package: libapache2-mod-php5
+Priority: optional
+Section: httpd
+Installed-Size: 7588
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-4
+Depends: apache2-mpm-prefork (>> 2.0.52)
+Filename: pool/main/p/php5/libapache2-mod-php5_5.3.3-4_i386.deb
+Size: 2886980
+MD5Sum: b41ec4b98aa08966288570e07cd864ab
+Description: server-side, HTML-embedded scripting language (Apache 2 module)
+Task: web-server
+
+Package: php5-cgi
+Priority: optional
+Section: php
+Installed-Size: 14672
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-4
+Filename: pool/main/p/php5/php5-cgi_5.3.3-4_i386.deb
+Size: 5713726
+MD5Sum: 9e579982032c7bb98508e16e314f45e9
+Description: server-side, HTML-embedded scripting language (CGI binary)
+
+Package: php5
+Priority: optional
+Section: php
+Installed-Size: 20
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: all
+Version: 5.3.3-4
+Depends: libapache2-mod-php5 (>= 5.3.3-4) | php5-cgi (>= 5.3.3-4)
+Filename: pool/main/p/php5/php5_5.3.3-4_all.deb
+Size: 1050
+MD5Sum: cbedd95ed5b868ba1ffd10747abc0ee3
+Description: server-side, HTML-embedded scripting language (metapackage)

+ 34 - 0
test/integration/status-bug-605394-versioned-or-groups

@@ -0,0 +1,34 @@
+Package: apache2-mpm-worker
+Status: install ok installed
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Description: Apache HTTP Server - high speed threaded model
+
+Package: php5-cgi
+Status: install ok installed
+Priority: optional
+Section: php
+Installed-Size: 14672
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-3
+Description: server-side, HTML-embedded scripting language (CGI binary)
+
+Package: php5
+Status: install ok installed
+Priority: optional
+Section: php
+Installed-Size: 20
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: all
+Version: 5.3.3-3
+Depends: libapache2-mod-php5 (>= 5.3.3-3) | libapache2-mod-php5filter (>= 5.3.3-3) | php5-cgi (>= 5.3.3-3)
+Description: server-side, HTML-embedded scripting language (metapackage)

+ 25 - 0
test/integration/test-bug-605394-versioned-or-groups

@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+testequal "Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+  php5 php5-cgi
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/5715 kB of archives.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation." aptget dist-upgrade --trivial-only
+
+msgtest "Solution process doesn't involve" 'apache2-mpm-prefork'
+
+if aptget dist-upgrade --trivial-only -o Debug::pkgProblemResolver=1 -o Debug::pkgDepCache::Marker=1 2>&1 | grep apache2-mpm-prefork > /dev/null; then
+	msgfail
+else
+	msgpass
+fi